{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Adjuntar Archivo{% endblock %}
{% block extra_style %}
<style>
  .custom-file .custom-file-label:lang(en)::after {
    content: "Selecciona...";
  }

  .visible-add {
    display: inline-table;
  }
</style>
{% endblock %}
{% block content %}
<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
    <div class="card-header">
      <h2 class="card-title">Agregar tipos de documentos</h2>
    </div>
    <div class="card-body" style="margin: 0;">
      <form action="{% url 'sale_opportunity:attached-file-create' sale_opportunity.id %}" method="post" role="form"
      enctype="multipart/form-data" onsubmit="return validateForm()" name="form">
        {% csrf_token %}
        <div class="row">
          {{ attachedfile_form.management_form }}
          {% for attachedfile in attachedfile_form %}
          <div class="col-sm-12 link-formset" style="display: inline-flex;margin-top: 15px;width: 100%;">
            <div class="col-sm-3">
              <div class="form-group">
                {{ attachedfile.type.label_tag }}
                {{ attachedfile.type|addcss:"form-control" }}
                {% if attachedfile.type.errors %}
                  <p><strong style="color:red;">{{ attachedfile.type.errors|striptags }}</strong></p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-3">
              <div class="form-group">
                <label>Adjuntar</label>
                  <div class="custom-file">
                    {{ attachedfile.file_doc }}
                    <label class="custom-file-label"></label>
                  </div>
                  {% if attachedfile.file_doc.errors %}
                    <p><strong style="color:red;">{{ attachedfile.file_doc.errors|striptags }}</strong></p>
                  {% endif %}
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                {{ attachedfile.description.label_tag }}
                {{ attachedfile.description|addcss:"form-control" }}
                {% if attachedfile.description.errors %}
                  <p><strong style="color:red;">{{ attachedfile.description.errors|striptags }}</strong></p>
                {% endif %}
              </div>
            </div>
          </div>
          <br><br>
          {% endfor %}
        </div>
        <hr>
        <br><br>
        <div class="row col-sm-12">
          <div class="col-sm-3"></div>
          <div class="col-sm-6 text-center">
            <a style="width: 200px" class="btn btn-danger pull-left"
               href="{% url 'sale_opportunity:attached-file-list' sale_opportunity.id %}">Cancelar</a>
            <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
          </div>
          <div class="col-sm-3"></div>
        </div>
      </form>
    </div>
  </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script>
  var fileTypes = [
    'jpeg',
    'png',
    'jpg',
    'xlsx',
    'xls',
    'doc',
    'docx',
    'pdf',
    'ppt',
    'pptx',
    'csv',
    'txt'
  ];
  var maxFileSize = 3145728;
  function validFileType(extension) {
    for (var i = 0; i < fileTypes.length; i++) {
      if (extension === fileTypes[i]) {
        return true;
      }
    }
    return false;
  }
  $('.custom-file-input').on('change', function () {
    console.log($(this)[0].files[0].size);
    var size = $(this)[0].files[0].size;
    var extension = $(this).val().split('.').pop();
    if ($.inArray(extension, fileTypes) === -1) {
      $(this).val("");
      if ($(this).next('.custom-file-label').hasClass("selected")) {
        $(this).next('.custom-file-label').removeClass("selected").html("");
      }
      alert("Tipo de archivo " + extension + " no valido");
    } else if (size > maxFileSize) {
      $(this).val("");
      alert("Archivo demasiado pesado, solo se acepta hasta 3 megas");
    } else {
      var fileName = $(this).val().split('\\').pop();
      $(this).next('.custom-file-label').addClass("selected").html(fileName);
    }
  });
  $('.link-formset').formset({
    addText: 'Agrega',
    deleteText: 'Remueve'
  });
  function reloadCssAddDeleteAdjunto() {
    $('.delete-row').css({
      'margin-top': '30px',
      'height': '30px',
      'font-size': '12px',
      'display': 'inline-table'
    });
    $('.delete-row').addClass('btn btn-warning');
    $('.delete-row').empty();
    $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');
    $('.add-row').css({
      'margin-top': '50px',
      'height': '30px',
      'font-size': '12px',
      'display': 'table-cell'
    });
    $('.add-row').addClass('btn btn-info');
    $('.add-row').empty();
    $('.add-row').prepend('<i class="fa fa-plus-circle" aria-hidden="true"></i> Agrega');
  }
  $(function () {
    reloadCssAddDeleteAdjunto();
    $('.add-row').click(function () {
      $('.delete-row').css({
        'margin-top': '30px',
        'height': '30px',
        'font-size': '12px',
        'display': 'inline-table'
      });
      $('.delete-row').addClass('btn btn-warning');
      $('.delete-row').empty();
      $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');
    });
  });
  function validateForm() {
    var stringError = "";
    var valido = true;
    var tipo1 = document.forms["form"]["form-0-type"];
    var tipo2 = document.forms["form"]["form-1-type"];
    var tipo3 = document.forms["form"]["form-2-type"];
    var adjunto1 = document.forms["form"]["form-0-file_doc"];
    var adjunto2 = document.forms["form"]["form-1-file_doc"];
    var adjunto3 = document.forms["form"]["form-2-file_doc"];
    var descripcion1 = document.forms["form"]["form-0-description"];
    var descripcion2 = document.forms["form"]["form-1-description"];
    var descripcion3 = document.forms["form"]["form-2-description"];
    if (tipo1) {
      if (!tipo1.value.length) {
        stringError = stringError + "\nPrimer Tipo de documento no seleccionado";
        valido = false;
      }
    }
    if (adjunto1) {
      if (!adjunto1.value.length) {
        stringError = stringError + "\nPrimer Archivo Adjunto no seleccionado";
        valido = false;
      }
    }
    if (descripcion1) {
      if (!descripcion1.value.length) {
       stringError = stringError + "\nPrimera Descripción no ingresada";
       valido = false;
      }
    }
    if (tipo2) {
      if (!tipo2.value.length) {
        stringError = stringError + "\nSegundo Tipo de documento no seleccionado";
        valido = false;
      }
    }
    if (adjunto2) {
      if (!adjunto2.value.length) {
        stringError = stringError + "\nSegundo Archivo Adjunto no seleccionado";
        valido = false;
      }
    }
    if (descripcion2) {
      if (!descripcion2.value.length) {
        stringError = stringError + "\nSegunda Descripción no ingresada";
        valido = false;
      }
    }
    if (tipo3) {
      if (!tipo3.value.length) {
        stringError = stringError + "\nTercer Tipo de documento no seleccionado";
        valido = false;
      }
    }
    if (adjunto3) {
      if (!adjunto3.value.length) {
        stringError = stringError + "\nTercer Archivo Adjunto no seleccionado";
        valido = false;
      }
    }
    if (descripcion3) {
      if (!descripcion3.value.length) {
        stringError = stringError + "\nTercera Descripción no ingresada";
        valido = false;
      }
    }
     if(!valido) {
       alert(stringError);
       return false;
     } else {
       return true;
     }
  }
</script>
{% endblock %}